package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-27
 */
//@Getter
//@Setter
@TableName("guide")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "Guide对象", description = "使用手册视频对象")
public class Guide implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty("id")
      @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty("描述")
      private String title;

      @ApiModelProperty("视频名称")
      private String url;

      @ApiModelProperty("语言")
      private String lang;

      @ApiModelProperty("状态")
      private String status;

      @ApiModelProperty("创建时间")
      @TableField(value="createTime")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      private LocalDateTime createTime;

      @ApiModelProperty("更新时间")
      @TableField(value="updateTime")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      private LocalDateTime updateTime;
}
